<?php
require_once('base.php');

class Admin extends Base
{
	function __construct()
	{
		parent::__construct();
		$this->key = false;
		$this->auth = true;
	}

	function OnInput()
	{
		parent::OnInput();
		
		$this->F->Plugins();
		$plugins = file_get_contents('content/plugins.json');
		
		$categories = json_decode($plugins, true);
		
		$count = 0;
		foreach ($categories as $category)
		{
			$count += count($category);
		}

		$upload = (int)ini_get('upload_max_filesize');
		$post = (int)ini_get('post_max_size');
		$memory = (int)ini_get('memory_limit');
		$size = min($upload, $post, $memory);
		$array = array(
			'T'			=> mTemp::instance('', '', 'admin'),
			'version'	=> VERSION,
			'plugins'	=> $plugins,
			'count'		=> $count,
			'size'		=> $size
		);
		$this->View('admin', $array, 'admin');
	}

	function OnOutput()
	{
	
	}
}
?>