<?php
class ExactSeek
{
	function Start($F, $string, $count)
	{		
		$snippets = array();
		$query = urlencode(mb_strtolower($string, 'UTF-8'));
		$url = 'http://web1.exactseek.com/webclient/?q=' . $query;
		$html = $F->GetHTML($url);

		if (!is_bool($html))
		{
			$i = 0;
			foreach ($html->find('div[class="results"] ol li p') as $e)
			{
				$t = 'a[class="title"]';
				$d = 'arr[name="content"] str';

				if (isset($e->find($t, 0)->plaintext))
				{
					$title = htmlentities($e->find($t, 0)->plaintext, ENT_QUOTES, 'UTF-8');
				}

				if (isset($e->find($d, 0)->plaintext))
				{
					$description = htmlentities($e->find($d, 0)->plaintext, ENT_QUOTES, 'UTF-8');
				}

				if ($i < $count)
				{
					if (!empty($title) && !empty($description))
					{
						$snippets[$i]['title'] = htmlspecialchars_decode($title);
						$snippets[$i]['description'] = htmlspecialchars_decode($description);
						++$i;
						continue;
					}
					continue;
				}
			}
			$html->clear();
		}
		else
		{
			$F->Error('Can\'t create outgoing request. Please check ExactSeek snippets plugin.');
		}

		return $snippets;
	}
}
?>