<?php
class Reliance
{
	function Start($F, $string, $count)
	{		
		$snippets = array();
		$query = urlencode(mb_strtolower($string, 'UTF-8'));
		$url = 'http://www.reliancenetconnect.co.in/search.php?q=' . $query . '&lr=lang_' . $F->config['LANGUAGE'] . '&ie=utf-8&oe=utf-8';
		$html = $F->GetHTML($url);

		if (!is_bool($html))
		{
			foreach ($html->find('td[class="arial12black-n"]') as $e)
			{
				$t = 'a[class="ver13bld-b"]';
				$d = 'span[class="arial12black-n"]';

				if (isset($e->find($t, 0)->plaintext))
				{
					$title = htmlentities($e->find($t, 0)->plaintext, ENT_QUOTES, 'UTF-8');
				}

				if (isset($e->find($d, 0)->plaintext))
				{
					$description = htmlentities($e->find($d, 0)->plaintext, ENT_QUOTES, 'UTF-8');
				}

				if ($i < $count)
				{
					if (!empty($title) && !empty($description))
					{
						$snippets[$i]['title'] = trim($title);
						$snippets[$i]['description'] = trim($description);
						++$i;
						continue;
					}
					continue;
				}
			}
			$html->clear();
		}
		else
		{
			$F->Error('Can\'t create outgoing request. Please check Reliance snippets plugin.');
		}
		return array_unique($snippets, SORT_REGULAR);
	}
}
?>