<?php
class SpeedBit
{
	function Start($F, $string, $count)
	{		
		$snippets = array();
		$query = urlencode(mb_strtolower($string, 'UTF-8'));
		$url = 'http://home.speedbit.com/search.aspx?q=' . $query . '&lr=lang_' . $F->config['LANGUAGE'] . '&ie=utf-8&oe=utf-8';
		$html = $F->GetHTML($url);

		if (!is_bool($html))
		{
			$i = 0;
			foreach ($html->find('ol li[class="unitres"]') as $e)
			{
				$t = 'h3[class="restitle"] a';
				$d = 'div[class="results"]';

				if (isset($e->find($t, 0)->plaintext))
				{
					$title = $e->find($t, 0)->plaintext;
				}

				if (isset($e->find($d, 0)->innertext))
				{
					preg_match('|(.+?)<br|', $e->find($d, 0)->innertext, $matches);
					$description = !empty($matches[1]) ? trim($matches[1]) : '';
				}

				if ($i < $count)
				{
					if (!empty($title) && !empty($description))
					{
						$snippets[$i]['title'] = trim($title);
						$snippets[$i]['description'] = trim($description);
						++$i;
						continue;
					}
					continue;
				}
			}
			$html->clear();
		}
		else
		{
			$F->Error('Can\'t create outgoing request. Please check SpeedBit snippets plugin.');
		}
		return $snippets;
	}
}
?>