<?php
class TalkTalk
{
	function Start($F, $string, $count)
	{
		$snippets = array();
		$query = urlencode(mb_strtolower($string, 'UTF-8'));
		$url = 'http://www.talktalk.co.uk/search/results.html?query=' . $query . '&lr=lang_' . $F->config['LANGUAGE'] . '&ie=utf-8&oe=utf-8';
		$html = $F->GetHTML($url);

		if (!is_bool($html))
		{
			$i = 0;
			foreach ($html->find('div[class="box"] div[class="article result"]') as $e)
			{
				$t = 'h3 a';
				$d = 'a[class="summary"]';

				if (isset($e->find($t, 0)->plaintext))
				{
					$title = $e->find($t, 0)->plaintext;
				}

				if (isset($e->find($d, 0)->plaintext))
				{
					$description = $e->find($d, 0)->plaintext;
				}

				if ($i < $count)
				{
					if (!empty($title) && !empty($description))
					{
						$snippets[$i]['title'] = trim($title);
						$snippets[$i]['description'] = trim($description);
						++$i;
						continue;
					}
					continue;
				}
			}
			$html->clear();
		}
		else
		{
			$F->Error('Can\'t create outgoing request. Please check TalkTalk snippets plugin.');
		}
		return $snippets;
	}
}
?>