<?php
class VirginMedia
{
	function Start($F, $string, $count)
	{
		$snippets = array();
		$query = urlencode(mb_strtolower($string, 'UTF-8'));
		$url = 'http://search.virginmedia.com/results/?q=' . $query;
		$html = $F->GetHTML($url);

		if (!is_bool($html))
		{
			$i = 0;
			foreach ($html->find('div[class="result"]') as $e)
			{
				$t = 'a[class="title"]';
				$d = 'span[class="description"]';

				if (isset($e->find($t, 0)->plaintext))
				{
					$title = $e->find($t, 0)->plaintext;
				}

				if (isset($e->find($d, 0)->plaintext))
				{
					$description = $e->find($d, 0)->plaintext;
				}

				if ($i < $count)
				{
					if (!empty($title) && !empty($description))
					{
						$snippets[$i]['title'] = htmlspecialchars_decode($title);
						$snippets[$i]['description'] = htmlspecialchars_decode($description);
						++$i;
						continue;
					}
					continue;
				}
			}
			$html->clear();
		}
		else
		{
			$F->Error('Can\'t create outgoing request. Please check VirginMedia snippets plugin.');
		}

		return $snippets;
	}
}
?>