<?php
class Controller
{
	function __construct()
	{
	
	}

	function Request()
	{
		$this->OnInput();
		$this->OnOutput();
	}

	function OnInput()
	{
	
	}

	function OnOutput()
	{
	
	}

	function IsGet()
	{
		return $_SERVER['REQUEST_METHOD'] == 'GET';
	}

	function IsPost()
	{
		return $_SERVER['REQUEST_METHOD'] == 'POST';
	}

	function Template($file, $array = array())
	{
		
		foreach ($array as $key => $value)
		{
			$$key = $value;
		}
				
		ob_start();
		
		if (file_exists('templates/' . $this->F->config['TEMPLATE'] . '/' . $file . '.php'))
		{
			require('templates/' . $this->F->config['TEMPLATE'] . '/' . $file . '.php');
		}
		else
		{
			$this->F->Error('File ' . $file . '.php does not exist in the directory templates/' . $this->F->config['TEMPLATE'] . '.');
		}

		return ob_get_clean();
	}

	function View($file, $array = array(), $template = '')
	{
		if ($file == '404')
		{
			header('HTTP/1.0 404 Not Found');
		}

		foreach ($array as $key => $value)
		{
			$$key = $value;
		}

		if (!empty($template))
		{
			$path = 'templates/' . $template . '/' . $file . '.php';
		}
		else
		{
			$path = 'templates/' . $this->F->config['TEMPLATE'] . '/' . $file . '.php';
		}


		if (file_exists($path))
		{
			require($path);
		}
		else
		{
			$this->F->Error('File ' . $path . ' does not exist in the directory templates.');
		}

		exit();
	}
}
?>