<?php
class Dogpile
{
	function Start($F, $string, $count)
	{		
		$snippets = array();
		$query = urlencode(mb_strtolower($string, 'UTF-8'));
		$url = 'http://www.dogpile.com/search/web?q=' . $query;
		$html = $F->GetHTML($url);

		if (!is_bool($html))
		{
			$i = 0;
			foreach ($html->find('div[class="searchResult webResult"]') as $e)
			{
				$t = 'div[class="resultTitlePane"] a';
				$d = 'div[class="resultDescription"]';

				if (isset($e->find($t, 0)->plaintext))
				{
					$title = htmlentities($e->find($t, 0)->plaintext, ENT_QUOTES, 'UTF-8');
				}

				if (isset($e->find($d, 0)->plaintext))
				{
					$description = htmlentities($e->find($d, 0)->plaintext, ENT_QUOTES, 'UTF-8');
				}

				if ($i < $count)
				{
					if (!empty($title) && !empty($description))
					{
						$snippets[$i]['title'] = trim($title);
						$snippets[$i]['description'] = trim($description);
						++$i;
						continue;
					}

					continue;
				}
			}
			$html->clear();
		}
		else
		{
			$F->Error('Can\'t create outgoing request. Please check Dogpile snippets plugin.');
		}

		return $snippets;
	}
}
?>