<?php
class Dailymotion
{
	function Start($F, $string, $count)
	{
		$videos = array();
		$query = urlencode($string);
		$url = 'http://www.dailymotion.com/relevance/search/' . $query . '/1';
		$html = $F->GetHTML($url);

		if (!is_bool($html))
		{
			$i = 0;
			foreach ($html->find('div[class="dmpi_video_preview"]') as $e)
			{
				if ($i < $count)
				{
					$id = $e->find('a', 0)->id;
					preg_match('|data-src="(.+?)"|', $e->find('a', 0), $src);
					$videos[$i]['title'] = $F->GetKeyword();
					$videos[$i]['src'] = str_replace('jpeg_preview_medium', 'jpeg_preview_large', $src[1]);
					$videos[$i]['url'] = 'http://www.dailymotion.com/embed/video/' . $id;
					++$i;
					continue;
				}
			}
			$html->clear();
		}
		else
		{
			$F->Error('Can\'t create outgoing request. Please check Dailymothion videos plugin.');
		}
		return $videos;
	}
}
?>