<!doctype html>
<html>
	<head>
		<title><?php echo $T->Title(); ?></title>
		<meta charset="utf-8">

		<?php echo $T->Base(); ?>
		<?php echo $T->Description(); ?>
		<?php echo $T->Keywords(); ?>
		<?php echo $T->RSS(); ?>
		<?php echo $T->ICO('favicon.ico'); ?>
		<?php echo $T->CSS('style.css'); ?>
		<?php echo $T->JS('jquery.min.js'); ?>
		<?php echo $T->File('head.php'); ?>
	</head>
	<body>
		<div id="container">
			<div id="header">
				<ul>
					<li><a href="<?php echo $T->Page(''); ?>">Home</a></li>
					<li><a href="<?php echo $T->Page('contact'); ?>">Contact</a></li>
					<li><a href="<?php echo $T->Page('privacy'); ?>">Privacy Policy</a></li>
					<li><a href="<?php echo $T->Page('terms'); ?>">Terms</a></li>
				</ul>

				<form action="<?php echo $T->Page('search'); ?>" method="post">
					<input type="text" name="query" value="<?php echo $T->Query('current'); ?>">
					<input type="submit" value="Search">
				</form>
			</div>
			<div id="wrapper">
				<?php echo $content; ?>
				<p>RSS: <?php echo $T->RSS(); ?></p>
				<p><?php echo $T->Snippet('test')->description; ?></p>
			</div>
			<div id="footer">
				<ul>
					<li><a href="<?php echo $T->Page(''); ?>">Home</a></li>
					<li><a href="<?php echo $T->Page('contact'); ?>">Contact</a></li>
					<li><a href="<?php echo $T->Page('privacy'); ?>">Privacy Policy</a></li>
					<li><a href="<?php echo $T->Page('terms'); ?>">Terms</a></li>
				</ul>
				<div class="counter"><?php echo $T->LiveInternet(); ?></div>
			</div>
		</div>
	</body>
</html>
